# Uses of Class
org.eclipse.jdt.core.dom.FieldDeclaration

Packages that use FieldDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of FieldDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return FieldDeclaration
Modifier and Type
Method
Description
`FieldDeclaration[]`
RecordDeclaration.`getFields()`
Returns the ordered list of field declarations of this type declaration.
`FieldDeclaration[]`
TypeDeclaration.`getFields()`
Returns the ordered list of field declarations of this type declaration.
`FieldDeclaration`
AST.`newFieldDeclaration(VariableDeclarationFragment fragment)`
Creates a new unparented field declaration node owned by this AST, for the given variable declaration fragment.
Methods in org.eclipse.jdt.core.dom with parameters of type FieldDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(FieldDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(FieldDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(FieldDeclaration node)`
Visits the given type-specific AST node.